/*
OSEPP 101 sensor kit 

OSEPP Environmental Monitor Example
 
 control a LED light based on the ambient light within current location.
 turn on fan based on current temperature. 
 
 */

const int LED = 11;
const int motorFan = 13;
const int photocellPin = A4;
int photocellVal;
float tempC; //temp value
int reading;
int tempPin = 0; //temp Pin


void setup()
{
  analogReference(INTERNAL);
  // start serial port
  Serial.begin(9600);
  pinMode(LED, OUTPUT);
  pinMode(motorFan, OUTPUT);
}

void loop()
{ 

photocellVal = analogRead(photocellPin); //read photocell
photocellVal = constrain(photocellVal, 0, 100);//clamp incoming values of photocell

reading = analogRead(tempPin);
tempC = reading / 9.31;
Serial.println(tempC);
  

  //if the environement is a certain temperature, we turn on our fan. 
  if(tempC > 80){ //if the temperature is greater than 80 °F, Danny of OSEPP Tech Support feels hot. 
    digitalWrite(motorFan, HIGH); //turn on the motor fan

  } 
  else if (tempC < 80){
    digitalWrite(motorFan, LOW); //turn on the motor fan

  }
  //we turn on and off an LED based on the darkness of our space. 

  if(photocellVal < 50){ //if the incoming value is dark
    digitalWrite(LED, HIGH);
  }

  else if(photocellVal > 50){
    digitalWrite(LED,LOW);

  }

} //end routine

