/*
OSEPP 101 Sensor Kit

OSEPP Potentiometer Pitch

when button is pressed, a tone plays through Piezo.
When knob turned, the pitch is adjusted through piezo.
LED brightness is also adjusted with potentiometer turn.

*/
const int LED = 3;
const int potPin = A0;
int button = 8; 
int ledBrightness;

void setup() {
  // initialize serial communications (for debugging only):
  Serial.begin(9600);
  pinMode(button, INPUT);
  
  
}

void loop() {
  // read the sensor:
  int sensorReading = analogRead(potPin);
  int buttonState = digitalRead(button);
  // print the sensor reading so you know its range in serial monitor
  Serial.println(sensorReading);

//create variable to clamp readings from sensor to a new range for pitch
  int thisPitch = map(sensorReading, 10, 1023, 120, 1500);
  
ledBrightness = map(sensorReading, 10, 1023, 0, 255); //mapping sensor readings to LEDs brightness.


if(buttonState == LOW){
  // play the pitch:
  tone(11, thisPitch, 10); // connect  speaker to pin 11
  delayMicroseconds(10);        // delay in between reads for stability
}
else if (buttonState== HIGH){
  
  noTone(11);
  
}

analogWrite(LED, ledBrightness);


} //end program






