/*
---------------------------------------------------------------------------
101 OSEPP sensor kit

OSEPP Ping Example with motor direction.


*/
#include <NewPing.h> //this includes the ping library

#define TRIGGER_PIN  12  // Arduino pin tied to trigger pin on the ultrasonic sensor.
#define ECHO_PIN     11  // Arduino pin tied to echo pin on the ultrasonic sensor.
#define MAX_DISTANCE 200 // Maximum distance we want to ping for (in centimeters). Maximum sensor distance is rated at 400-500cm.
int motorINA = 4; //INA pin of motor
int motorINB = 5; //INB pin of motor
int pingMeasure; //final ping measurements in cm
NewPing sonar(TRIGGER_PIN, ECHO_PIN, MAX_DISTANCE); // NewPing setup of pins and maximum distance.

void setup() {
  Serial.begin(115200); // Open serial monitor at 115200 baud to see ping results.
  pinMode(motorINA, OUTPUT);
  pinMode(motorINB, OUTPUT);
}

void loop() {
  delay(50);                      // Wait 50ms between pings (about 20 pings/sec). 29ms should be the shortest delay between pings.
  unsigned int uS = sonar.ping(); // Send ping, get ping time in microseconds (uS).
  Serial.print("Ping: ");
  pingMeasure = uS / US_ROUNDTRIP_CM;
  Serial.print(pingMeasure); // Convert ping time to distance in cm and print result (0 = outside set distance range)
  Serial.println("cm");
  
  
  
  if(pingMeasure < 50){ //if object is less than 50cm away from ping sensor range
    digitalWrite(motorINA, HIGH); //reverse motor
        digitalWrite(motorINB, LOW);

  }
  
  else if (pingMeasure >= 50){ //if distance is greater or equal to 50cm
    digitalWrite(motorINA, LOW); //motor continues going forward
        digitalWrite(motorINB, HIGH);
    
  }
}
